Name: xdm
Version: 1.0.5
Release: %mkrel 5
Summary: X Display Manager with support for XDMCP 
Group: System/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1: xdm.pamd
# Support kdm extended syntax to reserve a server for future use but do nothing
Patch0: xdm-1.0.4-reserve.patch
# Initialize the greeter only after checking if the the required steps are ok
Patch1: xdm-1.0.4-greeter.patch 
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: libpam-devel

Requires: xinitrc
Requires: sessreg
Conflicts: xorg-x11 < 7.0

%description
Xdm manages a collection of X displays, which may be on the local host or
remote servers. The design of xdm was guided by the needs of X terminals as
well as The Open Group standard XDMCP, the X Display Manager Control Protocol.
Xdm provides services similar to those provided by init, getty and login on
character terminals: prompting for login name and password, authenticating the
user, and running a session.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .reserve
%patch1 -p1 -b .greeter

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--with-pam

%make

%install
rm -rf %{buildroot}
%makeinstall_std

LC_ALL=C
LANG=C
export LC_ALL LANG

# remove files that are in xinitrc
rm -rf %{buildroot}%{_libdir}/X11/xdm/{[A-Z]*,xdm-config}

ln -s ../../../../etc/X11/xdm/xdm-config %{buildroot}%{_libdir}/X11/xdm

# remove unused devel files
rm -rf %{buildroot}%{_libdir}/X11/xdm/*.{a,la}

# install PAM file
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 644 %{_sourcedir}/xdm.pamd $RPM_BUILD_ROOT/etc/pam.d/xdm

install -d $RPM_BUILD_ROOT/var/lib/xdm
ln -sf ../../../../var/lib/xdm %{buildroot}%{_libdir}/X11/xdm/authdir

# logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
cat << EOF > %{buildroot}%{_sysconfdir}/logrotate.d/xdm
/var/log/xdm-error.log {
    notifempty
    missingok
    nocompress
}
EOF

%pre
if [ -d %{_libdir}/X11/xdm/authdir ]; then
	# this is now a symlink
	rm -rf %{_libdir}/X11/xdm/authdir
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pam.d/xdm
%config(noreplace) %{_sysconfdir}/logrotate.d/xdm
%dir /var/lib/xdm
%{_bindir}/xdm
%{_bindir}/xdmshell
%{_datadir}/X11/app-defaults/Chooser
%{_mandir}/man1/xdm.1x.bz2
%{_libdir}/X11/xdm/*


%changelog
* Mon Aug 28 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-08-28 22:45:06 (58564)
- fix the upgrade in cases where /usr/lib/X11/xdm/authdir is a
  directory (#24774)

* Mon Aug 14 2006 Pixel <pixel@mandriva.com>
+ 2006-08-14 18:59:53 (56059)
- fix group

* Mon Aug 14 2006 Pixel <pixel@mandriva.com>
+ 2006-08-14 18:53:25 (56057)
- make /etc/X11/xdm/xdm-config accessible
- add requires sessreg (used by GiveConsole and TakeConsole)

* Mon Aug 14 2006 Pixel <pixel@mandriva.com>
+ 2006-08-14 18:42:44 (56056)
- restore authdir symlink to /var/lib/xdm (otherwise xdm writes temp stuff in /usr)

* Mon Jul 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-17 20:24:23 (41474)
- pam_stack is deprecated. Fixed the xdm.pamd file

* Mon Jul 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-07-17 20:05:22 (41472)
- enable missing pam support

* Fri Jun 23 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-23 15:14:06 (37943)
- new upstream release (1.0.5):
   * setuid return value check fix

* Mon Jun 12 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-12 19:39:09 (37116)
- adding xdm.pamd to the sources list

* Mon Jun 12 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-12 19:35:18 (37111)
- add pam and logrotate files (Closes #22589)

* Fri Jun 02 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-02 21:46:16 (31888)
- added patch: Support kdm extended syntax to reserve a server for future use
               but do nothing
- added patch: Initialize the greeter only after checking if the the required
               steps are ok

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 25 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-25 20:17:57 (31598)
- X11R7.1

* Tue May 23 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-05-23 22:34:52 (31402)
- fill in more missing descriptions

* Mon May 22 2006 Pixel <pixel@mandriva.com>
+ 2006-05-22 13:54:11 (27845)
- we need libXdmGreet.so

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
